<p>title: Pernyataan for
description:</p>
<hr />
<p>Pada statemen <em>while</em> dan <em>do-while</em>, kondisi yang dicek tidak mesti berupa angka yang diiterasi, tapi bisa juga pengecekan kondisi lain yang kita tak perlu ketahui berapa kali harus dijalankan. Sedangkan statemen perulangan <em>for</em> lebih khusus digunakan apabila kita hendak mengulang eksekusi blok kode sebanyak angka yang kita tentukan.</p>
<p>Dalam pengulangan dengan <em>for</em> diperlukan sebuah variabel dengan nilai awal untuk diiterasi (biasanya berupa <em>integer</em>), kemudian kondisi untuk membatasi iterasi, dan <em>increment</em> atau <em>decrement</em> variabel.</p>
<pre><code>for (inisiasi counter; kondisi; increment/decrement counter) {
    // kode yang akan dijalankan berulang
}</code></pre>
<ul>
<li><strong>Parameter pertama</strong> adalah inisial variabel yang akan dijadikan penghitung.</li>
<li><strong>Parameter kedua</strong> adalah pengecekan kondisi variabel. <strong>Selama kondisi bernilai true, blok kode akan dijalankan</strong>.</li>
<li><strong>Parameter ketiga</strong> untuk menaikkan/menurunkan nilai variabel setiap kali blok kode selesai dijalankan.</li>
<li>Setiap parameter dipisahkan dengan tanda titik koma.</li>
</ul>
<pre><code>for(int x = 0; x &lt; 5; x++){
   System.out.println(x);
}</code></pre>
<p>Perhatikan kode berikut:</p>
<pre><code class="language-java">class ForLoop {
    public static void main (String[] args) {
        for (int i = 0; i &lt; 10; i++) {
            System.out.println(i);
        }
    }
}</code></pre>